Debian Bug report logs - #582049
evince: segfaults on certain DVI files embedding EPS

version graph

Package: evince; Maintainer for evince is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for evince is src:evince.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Mon, 17 May 2010 21:57:01 UTC

Severity: normal

Found in version evince/2.30.1-2

Fixed in version 3.10.0-1+b1

Done: althaser <althaser@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582049; Package evince. (Mon, 17 May 2010 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 17 May 2010 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evince: segfaults on certain DVI files embedding EPS
Date: Mon, 17 May 2010 21:55:30 +0000
[Message part 1 (text/plain, inline)]
Package: evince
Version: 2.30.1-2
Severity: normal
File: /usr/bin/evince

evince repeatedly crashes on a certain DVI file, which is attached.
Sometimes it crashes within the glibc memory code.  When run under
Electric Fence, it causes an "Internal error in allocator."  If you
would like to have the source .tex, please let me know.

If the .eps file is moved out of the way, evince renders the .dvi file
just fine, albeit without the logo.

xdvi has no problems with the .dvi in question.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evince depends on:
ii  evince-common           2.30.1-2         Document (postscript, pdf) viewer 
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-icon-theme        2.30.2.1-1       GNOME Desktop icon theme
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.10.2-8         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libevince2              2.30.1-2         Document (postscript, pdf) renderi
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome-keyring0       2.30.1-1         GNOME keyring services library
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  libnautilus-extension1  2.30.1-1         libraries for nautilus components 
ii  libpango1.0-0           1.28.0-1         Layout and rendering of internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  shared-mime-info        0.71-1           FreeDesktop.org shared MIME databa
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages evince recommends:
ii  dbus-x11                      1.2.24-1   simple interprocess messaging syst
ii  gvfs                          1.6.1-1    userspace virtual filesystem - ser

Versions of packages evince suggests:
ii  nautilus                      2.30.1-1   file manager and graphical shell f
pn  poppler-data                  <none>     (no description available)
pn  unrar                         <none>     (no description available)

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[business-card.dvi (application/x-dvi, attachment)]
[logo.eps (application/postscript, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:52:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582049; Package evince. (Mon, 18 Apr 2011 18:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin <colintempler@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 18 Apr 2011 18:54:02 GMT) Full text and rfc822 format available.

Message #12 received at 582049@bugs.debian.org (full text, mbox):

From: Colin <colintempler@gmail.com>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 582049@bugs.debian.org
Subject: Re: evince: segfaults on certain DVI files embedding EPS
Date: Mon, 18 Apr 2011 19:52:45 +0100
I'm running testing where evince is at 2.30.3-3 atm and I cannot
reproduce this bug.
I can render both files when they are together on the same dir or not.
So I'm guessing this is fixed under version 2.30.3-3.
Brian, can you try with this version?

Cheers,
Colin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582049; Package evince. (Mon, 18 Apr 2011 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 18 Apr 2011 19:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 582049@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Colin <colintempler@gmail.com>
Cc: 582049@bugs.debian.org
Subject: Re: evince: segfaults on certain DVI files embedding EPS
Date: Mon, 18 Apr 2011 19:09:04 +0000
[Message part 1 (text/plain, inline)]
clone 582049 -1
retitle -1 evince: misrenders text in DVI file.
kthxbye

On Mon, Apr 18, 2011 at 07:52:45PM +0100, Colin wrote:
> I'm running testing where evince is at 2.30.3-3 atm and I cannot
> reproduce this bug.
> I can render both files when they are together on the same dir or not.
> So I'm guessing this is fixed under version 2.30.3-3.
> Brian, can you try with this version?

It doesn't segfault, but it does horribly misrender.  The text is
unintelligibly corrupt.  If I use dvipdfmx to convert it to a PDF,
evince then renders it correctly.  You can close 582049 at your leisure,
and the clone will be the bug for the misrender.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Bug 582049 cloned as bug 623259. Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Mon, 18 Apr 2011 19:12:04 GMT) Full text and rfc822 format available.

Reply sent to althaser <althaser@gmail.com>:
You have taken responsibility. (Fri, 13 Dec 2013 22:48:04 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 13 Dec 2013 22:48:04 GMT) Full text and rfc822 format available.

Message #24 received at 582049-done@bugs.debian.org (full text, mbox):

From: althaser <althaser@gmail.com>
To: 582049-done@bugs.debian.org, sandals@crustytoothpaste.net
Cc: colintempler@gmail.com
Subject: close 582049 bug
Date: Fri, 13 Dec 2013 22:44:31 +0000
[Message part 1 (text/plain, inline)]
Version: 3.10.0-1+b1

it works for me ... if you can still reproduce it, feel free to reopen and
provide more info.

thanks
Regards
althaser
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jan 2014 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:06:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.